#ifndef _INCLUDE_SOURCEMOD_EXTENSION_PROPER_H_
#define _INCLUDE_SOURCEMOD_EXTENSION_PROPER_H_

#include "smsdk_ext.h"
#include "IEngineTrace.h"
#include "IEngineSound.h"

class TempentsExtension : public SDKExtension
{
public:
	virtual bool SDK_OnLoad(char *error, size_t err_max, bool late);
	virtual void SDK_OnUnload();
public:
#if defined SMEXT_CONF_METAMOD
	virtual bool SDK_OnMetamodLoad(ISmmAPI *ismm, char *error, size_t maxlen, bool late);
#endif
};
IEngineTrace *enginetrace;
IEngineSound *enginesound;
IServerGameEnts *gameents;
extern const sp_nativeinfo_t tempents_natives[];

#endif //_INCLUDE_SOURCEMOD_EXTENSION_PROPER_H_
